View Issue Details

IDProjectCategoryView StatusLast Update
0031774LazarusIDEpublic2017-05-15 12:06
ReporterCudaText man Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWin10 
Product Version1.9 (SVN) 
Summary0031774: hi-dpi: IDE dialog wrong
DescriptionPicture.
3 edits (combos?) in the center are placed wrong.
TagsNo tags attached.
Fixed in Revision54915
LazTarget-
Widgetset
Attached Files

Activities

CudaText man

2017-05-08 14:43

reporter  

ide-dlg3.png (23,050 bytes)   
ide-dlg3.png (23,050 bytes)   

CudaText man

2017-05-14 10:37

reporter  

def-ed.diff (9,085 bytes)   
Index: ide/codetoolsdefines.lfm
===================================================================
--- ide/codetoolsdefines.lfm	(revision 54907)
+++ ide/codetoolsdefines.lfm	(working copy)
@@ -1,11 +1,11 @@
 object CodeToolsDefinesEditor: TCodeToolsDefinesEditor
-  Left = 382
+  Left = 330
   Height = 500
-  Top = 228
+  Top = 375
   Width = 544
   BorderIcons = [biSystemMenu, biMaximize]
   Caption = 'CodeToolsDefinesEditor'
-  ClientHeight = 479
+  ClientHeight = 500
   ClientWidth = 544
   KeyPreview = True
   Menu = MainMenu
@@ -14,7 +14,7 @@
   OnKeyDown = CodeToolsDefinesEditorKeyDown
   OnKeyUp = CodeToolsDefinesEditorKeyUp
   Position = poScreenCenter
-  LCLVersion = '1.5'
+  LCLVersion = '1.9.0.0'
   object DefineTreeView: TTreeView
     Left = 6
     Height = 123
@@ -22,7 +22,6 @@
     Width = 532
     Align = alTop
     BorderSpacing.Around = 6
-    DefaultItemHeight = 18
     ReadOnly = True
     TabOrder = 0
     OnSelectionChanged = DefineTreeViewSelectionChanged
@@ -30,36 +29,40 @@
   end
   object SelectedItemGroupBox: TGroupBox
     Left = 6
-    Height = 293
+    Height = 313
     Top = 146
     Width = 532
     Align = alClient
     BorderSpacing.Around = 6
     Caption = 'SelectedItemGroupBox'
-    ClientHeight = 276
+    ClientHeight = 294
     ClientWidth = 528
     TabOrder = 2
     object NameLabel: TLabel
-      Left = 10
-      Height = 15
-      Top = 26
-      Width = 61
-      BorderSpacing.Right = 6
+      AnchorSideLeft.Control = TypeLabel
+      AnchorSideTop.Control = NameEdit
+      AnchorSideTop.Side = asrCenter
+      Left = 6
+      Height = 17
+      Top = 34
+      Width = 77
       Caption = 'NameLabel'
       ParentColor = False
     end
     object DescriptionLabel: TLabel
-      Left = 10
-      Height = 15
-      Top = 53
-      Width = 93
-      BorderSpacing.Right = 6
+      AnchorSideLeft.Control = TypeLabel
+      AnchorSideTop.Control = DescriptionEdit
+      AnchorSideTop.Side = asrCenter
+      Left = 6
+      Height = 17
+      Top = 63
+      Width = 115
       Caption = 'DescriptionLabel'
       ParentColor = False
     end
     object TypeLabel: TLabel
       Left = 6
-      Height = 15
+      Height = 17
       Top = 6
       Width = 516
       Align = alTop
@@ -68,33 +71,37 @@
       ParentColor = False
     end
     object VariableLabel: TLabel
-      Left = 10
-      Height = 15
-      Top = 78
-      Width = 74
-      BorderSpacing.Right = 6
+      AnchorSideLeft.Control = TypeLabel
+      AnchorSideTop.Control = VariableEdit
+      AnchorSideTop.Side = asrCenter
+      Left = 6
+      Height = 17
+      Top = 92
+      Width = 94
       Caption = 'VariableLabel'
       ParentColor = False
     end
     object ValueNoteBook: TPageControl
+      AnchorSideTop.Control = VariableEdit
+      AnchorSideTop.Side = asrBottom
       Left = 6
-      Height = 164
-      Top = 106
+      Height = 168
+      Top = 120
       Width = 516
-      ActivePage = ValueAsTextPage
+      ActivePage = ValueAsPathsPage
       Align = alBottom
       Anchors = [akTop, akLeft, akRight, akBottom]
       BorderSpacing.Around = 6
-      TabIndex = 0
+      TabIndex = 1
       TabOrder = 3
       OnChange = ValueNoteBookPageChanged
       object ValueAsTextPage: TTabSheet
         Caption = 'ValueAsTextPage'
-        ClientHeight = 135
+        ClientHeight = 137
         ClientWidth = 512
         inline ValueAsTextSynEdit: TSynEdit
           Left = 0
-          Height = 135
+          Height = 152
           Top = 0
           Width = 512
           Align = alClient
@@ -621,14 +628,14 @@
       end
       object ValueAsPathsPage: TTabSheet
         Caption = 'ValueAsPathsPage'
-        ClientHeight = 135
+        ClientHeight = 137
         ClientWidth = 512
         inline ValueAsFilePathsSynEdit: TSynEdit
-          AnchorSideRight.Control = DeleteFilePathBitBtn
+          AnchorSideRight.Control = MoveFilePathUpBitBtn
           Left = 0
-          Height = 168
+          Height = 137
           Top = 0
-          Width = 420
+          Width = 335
           Align = alLeft
           BorderSpacing.Right = 6
           Anchors = [akTop, akLeft, akRight, akBottom]
@@ -1153,41 +1160,70 @@
           end
         end
         object MoveFilePathUpBitBtn: TBitBtn
-          Left = 426
-          Height = 30
+          AnchorSideLeft.Control = ValueAsFilePathsSynEdit
+          AnchorSideLeft.Side = asrBottom
+          AnchorSideRight.Control = ValueAsPathsPage
+          AnchorSideRight.Side = asrBottom
+          Left = 341
+          Height = 29
           Top = 2
-          Width = 75
+          Width = 165
           Anchors = [akTop, akRight]
+          AutoSize = True
+          BorderSpacing.Top = 6
+          BorderSpacing.Right = 6
           Caption = 'MoveFilePathUpBitBtn'
+          Constraints.MinWidth = 80
           OnClick = MoveFilePathUpBitBtnClick
           TabOrder = 1
         end
         object MoveFilePathDownBitBtn: TBitBtn
-          Left = 426
-          Height = 30
-          Top = 34
-          Width = 75
-          Anchors = [akTop, akRight]
+          AnchorSideLeft.Control = MoveFilePathUpBitBtn
+          AnchorSideTop.Control = MoveFilePathUpBitBtn
+          AnchorSideTop.Side = asrBottom
+          AnchorSideRight.Control = MoveFilePathUpBitBtn
+          AnchorSideRight.Side = asrBottom
+          Left = 341
+          Height = 29
+          Top = 35
+          Width = 165
+          Anchors = [akTop, akLeft, akRight]
+          AutoSize = True
+          BorderSpacing.Top = 4
           Caption = 'MoveFilePathDownBitBtn'
           OnClick = MoveNodeDownMenuItemClick
           TabOrder = 2
         end
         object DeleteFilePathBitBtn: TBitBtn
-          Left = 426
-          Height = 30
-          Top = 66
-          Width = 75
-          Anchors = [akTop, akRight]
+          AnchorSideLeft.Control = MoveFilePathDownBitBtn
+          AnchorSideTop.Control = MoveFilePathDownBitBtn
+          AnchorSideTop.Side = asrBottom
+          AnchorSideRight.Control = MoveFilePathUpBitBtn
+          AnchorSideRight.Side = asrBottom
+          Left = 341
+          Height = 29
+          Top = 68
+          Width = 165
+          Anchors = [akTop, akLeft, akRight]
+          AutoSize = True
+          BorderSpacing.Top = 4
           Caption = 'DeleteFilePathBitBtn'
           OnClick = DeleteFilePathBitBtnClick
           TabOrder = 3
         end
         object InsertFilePathBitBtn: TBitBtn
-          Left = 426
-          Height = 30
-          Top = 98
-          Width = 75
-          Anchors = [akTop, akRight]
+          AnchorSideLeft.Control = MoveFilePathUpBitBtn
+          AnchorSideTop.Control = DeleteFilePathBitBtn
+          AnchorSideTop.Side = asrBottom
+          AnchorSideRight.Control = MoveFilePathUpBitBtn
+          AnchorSideRight.Side = asrBottom
+          Left = 341
+          Height = 29
+          Top = 101
+          Width = 165
+          Anchors = [akTop, akLeft, akRight]
+          AutoSize = True
+          BorderSpacing.Top = 4
           Caption = 'InsertFilePathBitBtn'
           OnClick = InsertFilePathBitBtnClick
           TabOrder = 4
@@ -1195,31 +1231,48 @@
       end
     end
     object NameEdit: TEdit
-      Left = 128
-      Height = 25
-      Top = 23
-      Width = 394
+      AnchorSideLeft.Control = DescriptionLabel
+      AnchorSideLeft.Side = asrBottom
+      AnchorSideTop.Control = TypeLabel
+      AnchorSideTop.Side = asrBottom
+      AnchorSideRight.Control = TypeLabel
+      AnchorSideRight.Side = asrBottom
+      Left = 127
+      Height = 27
+      Top = 29
+      Width = 395
       Anchors = [akTop, akLeft, akRight]
-      BorderSpacing.Around = 6
+      BorderSpacing.Left = 6
       TabOrder = 0
       Text = 'NameEdit'
     end
     object DescriptionEdit: TEdit
-      Left = 128
-      Height = 25
-      Top = 50
-      Width = 394
+      AnchorSideLeft.Control = NameEdit
+      AnchorSideTop.Control = NameEdit
+      AnchorSideTop.Side = asrBottom
+      AnchorSideRight.Control = NameEdit
+      AnchorSideRight.Side = asrBottom
+      Left = 127
+      Height = 27
+      Top = 58
+      Width = 395
       Anchors = [akTop, akLeft, akRight]
-      BorderSpacing.Around = 6
+      BorderSpacing.Top = 2
       TabOrder = 1
       Text = 'DescriptionEdit'
     end
     object VariableEdit: TEdit
-      Left = 128
-      Height = 25
-      Top = 76
-      Width = 394
+      AnchorSideLeft.Control = NameEdit
+      AnchorSideTop.Control = DescriptionEdit
+      AnchorSideTop.Side = asrBottom
+      AnchorSideRight.Control = NameEdit
+      AnchorSideRight.Side = asrBottom
+      Left = 127
+      Height = 27
+      Top = 87
+      Width = 395
       Anchors = [akTop, akLeft, akRight]
+      BorderSpacing.Top = 2
       TabOrder = 2
       Text = 'VariableEdit'
     end
@@ -1235,8 +1288,8 @@
   end
   object ButtonPanel1: TButtonPanel
     Left = 6
-    Height = 28
-    Top = 445
+    Height = 29
+    Top = 465
     Width = 532
     OKButton.Name = 'OKButton'
     OKButton.DefaultCaption = True
def-ed.diff (9,085 bytes)   

CudaText man

2017-05-14 10:37

reporter   ~0100296

Totally redone anchors in CodetoolsDefinesEditor
Now fixed

Ondrej Pokorny

2017-05-14 11:34

developer   ~0100299

Applied, thanks.

Issue History

Date Modified Username Field Change
2017-05-08 14:43 CudaText man New Issue
2017-05-08 14:43 CudaText man File Added: ide-dlg3.png
2017-05-14 10:37 CudaText man File Added: def-ed.diff
2017-05-14 10:37 CudaText man Note Added: 0100296
2017-05-14 11:20 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-05-14 11:20 Ondrej Pokorny Status new => assigned
2017-05-14 11:34 Ondrej Pokorny Fixed in Revision => 54915
2017-05-14 11:34 Ondrej Pokorny LazTarget => -
2017-05-14 11:34 Ondrej Pokorny Status assigned => resolved
2017-05-14 11:34 Ondrej Pokorny Resolution open => fixed
2017-05-14 11:34 Ondrej Pokorny Note Added: 0100299
2017-05-15 12:06 CudaText man Status resolved => closed